qr 2.1.0
qr: ^2.1.0 copied to clipboard

A QR code generation library for Dart and Flutter. Supports QR code version 1 through 40, error correction and redundancy.

2.1.0 #

  • Added numeric mode support via addNumeric

2.0.1-dev #

2.0.0 #

  • Expose Mask Pattern as a parameter of QrCode.make()
  • Migrated to null safety.
  • Require Dart SDK >=2.12.0 <3.0.0.

1.3.0 #

  • Added QrCode.addByteData.
  • Added QrCode.fromUint8List.

1.2.1 #

  • Require Dart SDK >=2.6.0 <3.0.0.

1.2.0 #

  • Expose InputTooLongException exception so that applications and libraries can check for data length errors.

1.1.1 #

  • Require Dart SDK >=2.1.0 <3.0.0.
  • Fix a bug that fromData doesn't add supplied data.

1.1.0 #

  • Add fromData QrCode factory that allows QrCode initiation without providing typeNumber.

1.0.1 #

  • Support Dart 2 stable.

1.0.0 #

  • Require at least Dart SDK 2.0.0-dev.17.
  • Fixed a subtle bug with number handling.

0.1.0+2 #

  • Update README to include basic documentation
  • Update pubspec.yaml description

0.1.0+1 #

  • Fix author email.

0.1.0 #

  • Initial release.
86
likes
120
pub points
99%
popularity

Publisher

j832.com

A QR code generation library for Dart and Flutter. Supports QR code version 1 through 40, error correction and redundancy.

Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD-3-Clause (LICENSE)

Dependencies

meta

More

Packages that depend on qr